<ActionBar class="action-bar">
    <!-- 
    Use the NavigationButton as a side-drawer button in Android
    because ActionItems are shown on the right side of the ActionBar
    -->
    <NavigationButton ios:visibility="collapsed" icon="res://menu" (tap)="onDrawerButtonTap()"></NavigationButton>
    <!-- 
    Use the ActionItem for IOS with position set to left. Using the
    NavigationButton as a side-drawer button in iOS is not possible,
    because its function is to always navigate back in the application.
    -->
    <ActionItem icon="res://navigation/menu" android:visibility="collapsed" (tap)="onDrawerButtonTap()" ios.position="left">
    </ActionItem>
    <Label class="action-bar-title" text="Live Scores"></Label>
</ActionBar>

<GridLayout class="page page-content" [class.showUp]="loading">
    <GridLayout tkExampleTitle tkToggleNavButton>
        <RadListView [items]="games">
            <ListViewLinearLayout tkListViewLayout scrollDirection="Vertical" itemInsertAnimation="Default" itemDeleteAnimation="Default"></ListViewLinearLayout>
            <!-- <ListViewGridLayout tkListViewLayout scrollDirection="Vertical" ios:itemHeight="200" spanCount="2"></ListViewGridLayout> -->
            <ng-template tkListItemTemplate let-item="item">
                <GridLayout rows="* * * *" columns="* *">
                    <Label row="0" col="0" [text]="item.league_name" class="matchDay"></Label>
                    <Label row="0" col="1" [text]="item.time" class="time"></Label>
                    <GridLayout colSpan="2" row="1" rows="* *" columns="* * *" class="gameContainer">
                        <Image class="thumb" row="0" col="0" [src]="'~/images/' + item.home_name + '.png'" width="25" height="25"></Image>
                        <Label row="1" col="0" [text]="item.home_name" textWrap="true"></Label>
                        <Label row="0" col="1" rowSpan="2" [text]="item.score" textWrap="true" class="score"></Label>
                        <Image class="thumb" row="0" col="2" [src]="'~/images/' + item.away_name + '.png'" width="25" height="25"></Image>
                        <Label row="2" col="2" [text]="item.away_name" textWrap="true"></Label>
                    </GridLayout>
                </GridLayout>
            </ng-template>
        </RadListView>
    </GridLayout>
</GridLayout>
<ActivityIndicator #activityIndicator [busy]="busy" width="100" height="100" class="activity-indicator"></ActivityIndicator>